EDIT - bug #6454

NumberWithLabelElement.getFloat and .getinteger should return null
03/02/2017 09:43 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version: Release 4.5
Description

Currently it both return 0 if textfield is empty. In some cases this leads to value "0" while null is required.
Before we need to check if any of the cases do not allow a null value.

Currently the only known place is PolytomousKey.startNumber for Integer and StatisticalMeasurementValue.setValue(float). Both
should be discussed to allow null as well.

Related issues:
Related to EDIT - bug #6453: Deleting text from min/max fields throws NPE Closed

Associated revisions

Revision df566daf - 03/11/2017 06:32 PM - Andreas Miiller
fix #6454 Allow null for numbers

History

#1 - 03/02/2017 09:43 AM - Andreas Miiller
- Related to bug #6453: Deleting text from min/max fields throws NPE added

#2 - 03/02/2017 09:44 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.6

#3 - 03/11/2017 02:14 AM - Andreas Miiller
- Priority changed from New to Highest

#4 - 03/11/2017 06:32 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|df566dafc6d25450bec8cabdd34ddb2fed099130.

#5 - 03/11/2017 06:36 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

#6 - 05/12/2017 04:44 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 50 to 100

| guess this is solved because nobody ever complained after this fix so it seems like all number fields seem to work -> Closing ticket
